/*
 * LoginBean.java
 *
 * Created on 6 fvrier 2004, 16:34
 */

package agendaJSP.beans;
import agendaJSP.workflow.*;
import agendaJSP.persistence.*;

/**
 * Le login Bean pour fonction principale de permettre de stocker facilement
 *les informations relatives  la base de donnes.
 *
 *<p> Par ailleurs, il fonctionne comme une Factory pour les divers Workflows.
 * @author  rosmord
 */
public class LoginBean {
    
    PersonneDAO dao;
    
    /** Creates a new instance of LoginBean */
    public LoginBean() {
        dao= new PersonneDAO(new LoginManager());
    }
    
    public void setUrl(String url) {
        dao.getLoginManager().setUrl(url);
    }
    
    public void setLogin(String login) {
        dao.getLoginManager().setLogin(login);
    }
    
    public void setPassword(String password) {
        dao.getLoginManager().setPassword(password);
    }
    
    public String getUrl() {
        return dao.getLoginManager().getUrl();
    }
    
    public String getPassword() {
    return dao.getLoginManager().getPassword();
    }
    
    public String getLogin() {
        return dao.getLoginManager().getLogin();
    }
    
    private PersonneDAO getPersonneDAO() {
        return dao;
    }
    
    public ListerPersonnesWorkflow createListerPersonneWorkflow() {
        ListerPersonnesWorkflow wf;
        wf= new ListerPersonnesWorkflow(getPersonneDAO());
        return wf;
    }
    
    public AjoutPersonneWorkflow createAjoutPersonneWorkflow() {
        AjoutPersonneWorkflow wf;
        wf= new AjoutPersonneWorkflow(getPersonneDAO());
        return wf;
    }
    
}
