/*
 * LoginManager.java
 *
 * Created on 6 fvrier 2004, 14:36
 */

package agendaJSP.persistence;
import java.sql.*;

/**
 * gre la connexion et la dconnection  la base.
 * Utilis par les data access objects.
 * @author  rosmord
 */
public class LoginManager {
    
    private Connection db;
    private String url;
    private String login;
    private String password;
    
    // On ne fera qu'une fois le Class.forName :
    private static boolean driverNotLoaded= true;
    private static String DRIVERNAME= "org.postgresql.Driver";
    
    /** Creates a new instance of LoginManager */
    public LoginManager(String url, String login, String password) {
        db= null;
        this.url= url;
        this.login= login;
        this.password= password;
    }
    
    public LoginManager() {
        db= null;
        this.url= null;
        this.login= null;
        this.password= null;
    }
    
    public Connection getConnection() {
        return db;
    }
    
    /**
     *Ouvre la connexion
     */
    public void open() throws PersistenceException {
        try {
            if (driverNotLoaded) {
                Class.forName(DRIVERNAME);
                driverNotLoaded= false;
            }
            db= DriverManager.getConnection(url,login,password);
        } catch (Exception e) {
            throw new PersistenceException(e.getMessage());
        }
    }
    
    /**
     * Ferme la connexion si elle est ouverte.
     */
    public void close() {
        try {
            if (db!= null) {
                 db.close();
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }
        db= null;
    }
    
    /** Getter for property url.
     * @return Value of property url.
     *
     */
    public java.lang.String getUrl() {
        return url;
    }
    
    /** Setter for property url.
     * @param url New value of property url.
     *
     */
    public void setUrl(java.lang.String url) {
        this.url = url;
    }
    
    /** Getter for property login.
     * @return Value of property login.
     *
     */
    public java.lang.String getLogin() {
        return login;
    }
    
    /** Setter for property login.
     * @param login New value of property login.
     *
     */
    public void setLogin(java.lang.String login) {
        this.login = login;
    }
    
    /** Getter for property password.
     * @return Value of property password.
     *
     */
    public java.lang.String getPassword() {
        return password;
    }
    
    /** Setter for property password.
     * @param password New value of property password.
     *
     */
    public void setPassword(java.lang.String password) {
        this.password = password;
    }
    
}
